libzypp 17.37.10

zyppng::function_traits< R(Args...)> Struct Template Reference

`#include <zypp-core/zyppng/meta/function_traits.h>`

Inheritance diagram for zyppng::function_traits< R(Args...)>:

## Classes
struct | argument

## Public Types
using | return_type = R

## Static Public Attributes
static constexpr std::size_t | arity = sizeof...(Args)

## Detailed Description

template<class R, class... Args>
struct zyppng::function_traits< R(Args...)>

Definition at line 29 of file function_traits.h.

## Member Typedef Documentation

## ◆ return_type

template<class R, class... Args>

using zyppng::function_traits< R(Args...)>::return_type = R

Definition at line 31 of file function_traits.h.

## Member Data Documentation

## ◆ arity

template<class R, class... Args>

std::size_t zyppng::function_traits< R(Args...)>::arity = sizeof...(Args)
| static constexpr

Definition at line 33 of file function_traits.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/meta/function_traits.h